diff --git a/tests/test_wcs.py b/tests/test_wcs.py
index 183f59fc..0d4dd705 100644
--- a/tests/test_wcs.py
+++ b/tests/test_wcs.py
@@ -1,10 +1,8 @@
-# -*- coding: utf-8 -*-
-
 import copy
 import json
 import re
+from unittest import mock
 
-import mock
 import pytest
 from django.apps import apps
 from django.conf import settings
@@ -223,7 +221,7 @@ WCS_CARD_DATA = {
 }
 
 
-class MockUser(object):
+class MockUser:
     email = 'foo@example.net'
     is_authenticated = True
     is_anonymous = False
@@ -232,7 +230,7 @@ class MockUser(object):
         return None
 
 
-class MockUserWithNameId(object):
+class MockUserWithNameId:
     email = 'foo@example.net'
     is_authenticated = True
     is_anonymous = False
@@ -307,14 +305,14 @@ def test_form_cell_setup(mock_send):
     form_class = cell.get_default_form_class()
     form = form_class()
     assert form.fields['formdef_reference'].widget.choices == [
-        (u'default:a-private-form', u'test : a private form'),
-        (u'default:a-second-form-title', u'test : a second form title'),
-        (u'default:form-title', u'test : form title'),
-        (u'default:third-form-title', u'test : Third form title'),
-        (u'other:a-private-form', u'test2 : a private form'),
-        (u'other:a-second-form-title', u'test2 : a second form title'),
-        (u'other:form-title', u'test2 : form title'),
-        (u'other:third-form-title', u'test2 : Third form title'),
+        ('default:a-private-form', 'test : a private form'),
+        ('default:a-second-form-title', 'test : a second form title'),
+        ('default:form-title', 'test : form title'),
+        ('default:third-form-title', 'test : Third form title'),
+        ('other:a-private-form', 'test2 : a private form'),
+        ('other:a-second-form-title', 'test2 : a second form title'),
+        ('other:form-title', 'test2 : form title'),
+        ('other:third-form-title', 'test2 : Third form title'),
     ]
 
 
@@ -324,7 +322,7 @@ def test_form_cell_save_cache(mock_send):
     page.save()
     cell = WcsFormCell(page=page, placeholder='content', order=0)
     assert cell.get_additional_label() is None
-    cell.formdef_reference = u'default:form-title'
+    cell.formdef_reference = 'default:form-title'
     cell.save()
     assert cell.cached_title == 'form title'
     assert cell.get_additional_label() == 'form title'
@@ -354,7 +352,7 @@ def test_form_cell_validity(mock_send):
     assert validity_info.invalid_reason_code == 'wcs_form_not_defined'
     assert validity_info.invalid_since is not None
 
-    cell.formdef_reference = u'default:form-title'
+    cell.formdef_reference = 'default:form-title'
     cell.save()
     assert ValidityInfo.objects.exists() is False
 
@@ -378,7 +376,7 @@ def test_form_cell_validity(mock_send):
         cell.save()
     assert ValidityInfo.objects.exists() is False
 
-    cell.formdef_reference = u'default:foobar'
+    cell.formdef_reference = 'default:foobar'
     cell.save()
     validity_info = ValidityInfo.objects.latest('pk')
     assert validity_info.invalid_reason_code == 'wcs_form_not_found'
@@ -390,7 +388,7 @@ def test_form_cell_load(mock_send):
     page = Page(title='xxx', slug='test_form_cell_save_cache', template_name='standard')
     page.save()
     cell = WcsFormCell(page=page, placeholder='content', order=0)
-    cell.formdef_reference = u'default:form-title'
+    cell.formdef_reference = 'default:form-title'
     cell.save()
     site_export = [page.get_serialized_page()]
     cell.delete()
@@ -409,7 +407,7 @@ def test_category_cell_save_cache(mock_send):
     page.save()
     cell = WcsCategoryCell(page=page, placeholder='content', order=0)
     assert cell.get_additional_label() is None
-    cell.category_reference = u'default:test-3'
+    cell.category_reference = 'default:test-3'
     cell.save()
     assert cell.cached_title == 'Test 3'
     assert cell.get_additional_label() == 'Test 3'
@@ -423,7 +421,7 @@ def test_category_cell_validity(mock_send):
     assert validity_info.invalid_reason_code == 'wcs_category_not_defined'
     assert validity_info.invalid_since is not None
 
-    cell.category_reference = u'default:test-3'
+    cell.category_reference = 'default:test-3'
     cell.save()
     assert ValidityInfo.objects.exists() is False
 
@@ -459,7 +457,7 @@ def test_form_cell_render(mock_send):
     page = Page(title='xxx', slug='test_form_cell_render', template_name='standard')
     page.save()
     cell = WcsFormCell(page=page, placeholder='content', order=0)
-    cell.formdef_reference = u'default:form-title'
+    cell.formdef_reference = 'default:form-title'
     cell.save()
     result = cell.render({})
     assert 'http://127.0.0.1:8999/form-title/tryauth' in result
@@ -473,8 +471,8 @@ def test_current_forms_cell_setup(mock_send):
     form = form_class()
     assert form.fields['wcs_site'].widget.choices == [
         ('', 'All'),
-        (u'default', u'test'),
-        (u'other', u'test2'),
+        ('default', 'test'),
+        ('other', 'test2'),
     ]
     assert 'current_forms' in form.fields
     assert cell.get_additional_label() == 'All Sites - Current Forms'
@@ -726,8 +724,8 @@ def test_care_forms_cell_setup():
     form = form_class()
     assert form.fields['wcs_site'].widget.choices == [
         ('', 'All'),
-        (u'default', u'test'),
-        (u'other', u'test2'),
+        ('default', 'test'),
+        ('other', 'test2'),
     ]
     assert cell.get_additional_label() == 'All Sites'
     cell.wcs_site = 'default'
@@ -925,8 +923,8 @@ def test_forms_user_can_access_cell_setup():
     form = form_class()
     assert form.fields['wcs_site'].widget.choices == [
         ('', 'All'),
-        (u'default', u'test'),
-        (u'other', u'test2'),
+        ('default', 'test'),
+        ('other', 'test2'),
     ]
     assert cell.get_additional_label() == 'All Sites'
     cell.wcs_site = 'default'
@@ -1094,10 +1092,10 @@ def test_forms_of_category_cell_setup(mock_send):
     form_class = cell.get_default_form_class()
     form = form_class()
     assert form.fields['category_reference'].widget.choices == [
-        (u'default:test-3', u'test : Test 3'),
-        (u'default:test-9', u'test : Test 9'),
-        (u'other:test-3', u'test2 : Test 3'),
-        (u'other:test-9', u'test2 : Test 9'),
+        ('default:test-3', 'test : Test 3'),
+        ('default:test-9', 'test : Test 9'),
+        ('other:test-3', 'test2 : Test 3'),
+        ('other:test-9', 'test2 : Test 9'),
     ]
 
 
@@ -1568,7 +1566,7 @@ def test_cards_cell_load(mock_send):
 def test_cards_cell_render(mock_send, context):
     page = Page.objects.create(title='xxx', template_name='standard')
     cell = WcsCardsCell(page=page, placeholder='content', order=0)
-    cell.carddef_reference = u'default:card_model_1'
+    cell.carddef_reference = 'default:card_model_1'
     cell.save()
 
     # query should fail as nothing is cached
@@ -1602,7 +1600,7 @@ def test_cards_cell_render(mock_send, context):
     assert '<a href="/foo/12"><span class="card-title">bb</span></a>' in result
     assert '<a href="/foo/13"><span class="card-title">cc</span></a>' in result
 
-    cell.carddef_reference = u'default:card_model_1:foo'
+    cell.carddef_reference = 'default:card_model_1:foo'
     cell.save()
     page.sub_slug = 'card_model_1_id'
     page.save()
@@ -1666,7 +1664,7 @@ def test_cards_cell_only_for_user(mock_send, context):
 def test_cards_cell_render_user(mock_send, context, nocache):
     page = Page.objects.create(title='xxx', template_name='standard')
     cell = WcsCardsCell(page=page, placeholder='content', order=0)
-    cell.carddef_reference = u'default:card_model_1'
+    cell.carddef_reference = 'default:card_model_1'
     cell.save()
 
     context['card_model_1_id'] = 11
@@ -1869,7 +1867,7 @@ def test_card_cell_load(mock_send):
 def test_card_cell_render(mock_send, context):
     page = Page.objects.create(title='xxx', template_name='standard')
     cell = WcsCardInfosCell(page=page, placeholder='content', order=0)
-    cell.carddef_reference = u'default:card_model_1'
+    cell.carddef_reference = 'default:card_model_1'
     cell.custom_title = 'Foo bar {{ card.fields.title }}'
     cell.save()
 
@@ -1934,7 +1932,7 @@ def test_card_cell_render(mock_send, context):
 def test_card_cell_render_identifier(mock_send, context, nocache):
     page = Page.objects.create(title='xxx', template_name='standard')
     cell = WcsCardInfosCell(page=page, placeholder='content', order=0)
-    cell.carddef_reference = u'default:card_model_1'
+    cell.carddef_reference = 'default:card_model_1'
     cell.save()
 
     context['card_model_1_id'] = 11
@@ -1971,7 +1969,7 @@ def test_card_cell_render_identifier(mock_send, context, nocache):
 def test_card_cell_render_user(mock_send, context, nocache):
     page = Page.objects.create(title='xxx', template_name='standard')
     cell = WcsCardInfosCell(page=page, placeholder='content', order=0)
-    cell.carddef_reference = u'default:card_model_1'
+    cell.carddef_reference = 'default:card_model_1'
     cell.save()
 
     context['card_model_1_id'] = 11
@@ -2031,7 +2029,7 @@ def test_tracking_code_cell(app, nocache):
     assert requests_get.call_args_list[0][0][0] == '/api/code/FOOBAR'
     assert requests_get.call_args_list[1][0][0] == '/api/code/FOOBAR'
     remote_service_urls = [c[1]['remote_service']['url'] for c in requests_get.call_args_list]
-    assert set(remote_service_urls) == set(['http://127.0.0.1:8999/', 'http://127.0.0.2:8999/'])
+    assert set(remote_service_urls) == {'http://127.0.0.1:8999/', 'http://127.0.0.2:8999/'}
     assert resp.status_code == 302
     resp = resp.follow()
     assert '<li class="error">The tracking code could not been found.</li>' in resp.text
@@ -2130,7 +2128,7 @@ def test_tracking_code_cell(app, nocache):
 def test_cell_assets(mock_send, settings, app, admin_user):
     page = Page.objects.create(title='xxx', slug='test_cell_assets', template_name='standard')
     cell1 = WcsFormCell.objects.create(
-        page=page, placeholder='content', order=0, formdef_reference=u'default:form-title'
+        page=page, placeholder='content', order=0, formdef_reference='default:form-title'
     )
 
     cell2 = WcsFormsOfCategoryCell.objects.create(
@@ -2152,10 +2150,10 @@ def test_cell_assets(mock_send, settings, app, admin_user):
         'wcs_wcsformsofcategorycell': {'logo': {'prefix': 'Logo blabla', 'suffix': 'test'}},
     }
     resp = app.get('/manage/assets/')
-    assert u'Logo — %s' % cell2.get_label_for_asset() in resp.text
-    assert u'Logo blabla — %s' % cell2.get_label_for_asset() not in resp.text
-    assert u'Picture — %s' % cell1.get_label_for_asset() in resp.text
-    assert u'Picture blabla — %s' % cell1.get_label_for_asset() not in resp.text
+    assert 'Logo — %s' % cell2.get_label_for_asset() in resp.text
+    assert 'Logo blabla — %s' % cell2.get_label_for_asset() not in resp.text
+    assert 'Picture — %s' % cell1.get_label_for_asset() in resp.text
+    assert 'Picture blabla — %s' % cell1.get_label_for_asset() not in resp.text
     # New settings
     settings.WCS_CATEGORY_ASSET_SLOTS = {}
     settings.WCS_FORM_ASSET_SLOTS = {}
@@ -2164,8 +2162,8 @@ def test_cell_assets(mock_send, settings, app, admin_user):
         'wcs_wcsformsofcategorycell': {'logo': {'prefix': 'Logo'}},
     }
     resp = app.get('/manage/assets/')
-    assert u'Logo — %s' % cell2.get_label_for_asset() in resp.text
-    assert u'Picture — %s' % cell1.get_label_for_asset() in resp.text
+    assert 'Logo — %s' % cell2.get_label_for_asset() in resp.text
+    assert 'Picture — %s' % cell1.get_label_for_asset() in resp.text
 
     # test suffix
     settings.COMBO_CELL_ASSET_SLOTS = {
@@ -2173,8 +2171,8 @@ def test_cell_assets(mock_send, settings, app, admin_user):
         'wcs_wcsformsofcategorycell': {'logo': {'prefix': 'Logo', 'suffix': 'test'}},
     }
     resp = app.get('/manage/assets/')
-    assert u'Logo — %s (test)' % cell2.get_label_for_asset() in resp.text
-    assert u'Picture — %s (test)' % cell1.get_label_for_asset() in resp.text
+    assert 'Logo — %s (test)' % cell2.get_label_for_asset() in resp.text
+    assert 'Picture — %s (test)' % cell1.get_label_for_asset() in resp.text
 
 
 def test_tracking_code_search(settings, app, nocache):
@@ -2202,7 +2200,7 @@ def test_tracking_code_search(settings, app, nocache):
     assert requests_get.call_args_list[0][0][0] == '/api/code/BBCCDDFF'
     assert requests_get.call_args_list[1][0][0] == '/api/code/BBCCDDFF'
     remote_service_urls = [c[1]['remote_service']['url'] for c in requests_get.call_args_list]
-    assert set(remote_service_urls) == set(['http://127.0.0.1:8999/', 'http://127.0.0.2:8999/'])
+    assert set(remote_service_urls) == {'http://127.0.0.1:8999/', 'http://127.0.0.2:8999/'}
 
     with mock.patch('combo.apps.wcs.models.requests.get') as requests_get:
         requests_get.return_value = MockedRequestResponse(
@@ -2431,7 +2429,7 @@ def test_manager_add_edit_delete_list_link_item(mock_send, app, admin_user):
 
 
 def test_import_export_pages_with_links():
-    page = Page(title=u'bar', slug='bar', order=1)
+    page = Page(title='bar', slug='bar', order=1)
     page.save()
 
     cell = LinkListCell.objects.create(order=0, placeholder='content', page=page)
@@ -2478,7 +2476,7 @@ def test_list_of_links_with_form_render(app):
 
 
 def test_view_page_with_wcs_cells_num_queries(app, admin_user):
-    page = Page.objects.create(title=u'bar', slug='index', order=1)
+    page = Page.objects.create(title='bar', slug='index', order=1)
     for i in range(0, 15):
         WcsCurrentDraftsCell.objects.create(page=page, placeholder='content', order=i)
     for i in range(15, 50):
diff --git a/tests/test_wcs_templatetags.py b/tests/test_wcs_templatetags.py
index 94589c4f..52c126ff 100644
--- a/tests/test_wcs_templatetags.py
+++ b/tests/test_wcs_templatetags.py
@@ -1,9 +1,7 @@
-# -*- coding: utf-8 -*-
-
 import copy
 import json
+from unittest import mock
 
-import mock
 import pytest
 from django.template import Context, Template
 from django.test.client import RequestFactory
@@ -25,12 +23,12 @@ def context():
     return ctx
 
 
-class MockAnonymousUser(object):
+class MockAnonymousUser:
     is_authenticated = False
     is_anonymous = True
 
 
-class MockUser(object):
+class MockUser:
     email = 'foo@example.net'
     is_authenticated = True
     is_anonymous = False
@@ -39,7 +37,7 @@ class MockUser(object):
         return None
 
 
-class MockUserWithNameId(object):
+class MockUserWithNameId:
     email = 'foo@example.net'
     is_authenticated = True
     is_anonymous = False
-- 
2.30.2

